Fehler: app:compileDebugAidl und wear:compileDebugAidl

  • Antworten:3
  • OffenNicht stickyNicht beantwortet
  • Forum-Beiträge: 2

18.02.2020, 21:56:39 via Website

Warum bekomme ich den Fehler app:compileDebugAidl und wear:compileDebugAidl ?

build.gradle app

apply plugin: 'com.android.application'

android {
compileSdkVersion 28
buildToolsVersion "28.0.3"

defaultConfig {
    applicationId "com.example.nr"
    minSdkVersion 23
    targetSdkVersion 28
    versionCode 1
    versionName "1.0"
}
buildTypes {
    release {
        minifyEnabled false
        proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
    }
}

}

dependencies {
compile fileTree(dir: 'libs', include: ['*.jar'])
compile 'com.android.support:appcompat-v7:28.0.0'
implementation 'com.google.android.gms:play-services-wearable:15.0.0'
implementation 'com.google.android.gms:play-services-wearable:15.0.0'
implementation 'com.android.support.constraint:constraint-layout:1.1.3'
}

build.gradle wear

apply plugin: 'com.android.application'

android {
compileSdkVersion 28

defaultConfig {
    applicationId "com.example.nr"
    minSdkVersion 21
    targetSdkVersion 28
    versionCode 1
    versionName "1.0"
    testInstrumentationRunner "android.support.test.runner.AndroidJUnitRunner"
}
buildTypes {
    release {
        minifyEnabled false
        proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
    }
}
buildToolsVersion = '28.0.3'

}

dependencies {
implementation fileTree(dir: 'libs', include: ['*.jar'])
implementation 'com.android.support:appcompat-v7:28.0.0'
implementation 'com.android.support:design:28.0.0'
implementation 'com.android.support.constraint:constraint-layout:1.1.3'
testImplementation 'junit:junit:4.12'
androidTestImplementation 'com.android.support.test:runner:1.0.2'
androidTestImplementation 'com.android.support.test.espresso:espresso-core:3.0.2'

implementation 'com.android.support:support-v4:28.0.0'
implementation 'com.android.support:design:28.0.0'

implementation 'com.google.android.gms:play-services-wearable:16.0.1'

compileOnly 'com.google.android.wearable:wearable:2.4.0'

}

— geändert am 18.02.2020, 22:52:28

Diskutiere mit!
  • Forum-Beiträge: 11.012

18.02.2020, 22:28:28 via App

Was ist denn der genaue Fehler?

LG Pascal //It's not a bug, it's a feature. :) ;)

Hilfreich?
Diskutiere mit!
  • Forum-Beiträge: 11.012

19.02.2020, 22:09:02 via App

Das ist nicht die vollständige Fehlermeldung damit fängt man nichts an...

LG Pascal //It's not a bug, it's a feature. :) ;)

Hilfreich?
Diskutiere mit!
Empfohlene Artikel bei NextPit